| Home | Libraries | People | FAQ | More

### ip::bad_address_cast

Thrown to indicate a failed address conversion.

    class bad_address_cast

##### Member Functions

Name | Description
--- | ---
bad_address_cast | Default constructor.
what | Get the message associated with the exception.
~bad_address_cast | Destructor.

##### Requirements

Header: `boost/asio/ip/bad_address_cast.hpp`

Convenience header: `boost/asio.hpp`